Package org.eclipse.emf.compare.equi

## Interface IEquiEngine

All Known Implementing Classes:
  `DefaultEquiEngine`

    public interface IEquiEngine

.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `computeEquivalences​(Comparison comparison, Monitor monitor)` This is the entry point of the equivalence computing process.

### Method Detail

#### computeEquivalences

    void computeEquivalences​(Comparison comparison,
                             Monitor monitor)

This is the entry point of the equivalence computing process.

It will complete the input `comparison` by iterating over the `differences` it contain, filling in the equivalence it can detect for each distinct Diff.

Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `monitor` - The monitor to report progress or to check for cancellation